Subject: Re: bug#66330: 28.2; Gnus wide reply (S W) changes Subject header when used from Debbugs thread

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Oct 2023 10:29:43 +0300

> Cc: Bruno Victal <[email-masked]>
> From: Maxim Cournoyer <[email-masked]>
> Date: Tue, 03 Oct 2023 20:26:26 -0400
> 
> When attempting to reply from an Emacs Debbugs thread specific email,
> the Subject line gets set to the subject of the first email in the
> thread rather than to that of the specific email I'm replying to, which
> looses context.

The Subject lines of emails pertaining to a discussion of a bug should
never be changed.  So I see no problem here, unless I'm missing
something.

Michael, am I wrong?

> 1. M-x debbugs-gnu-bugs 65479
> 
> 2. Press 'a' to load the bug despite the lack of SSL certificates.
> 
> 3. Navigate to the message titled:
> [bug#65479] [PATCH core-updates 02/61] gnu: Add docbook-xml-5.
> 
> 4. Press S W to send a wide reply.
> 
> 5. Observe that the Subject header in the email response being edited
> has been changed to "Re: bug#65479: [PATCH core-updates 00/61] The
> Draining of the XML & DocBook Swamp.", that is, the original subject of
> the "bug" (its first message).

This is a bad Subject line to begin with, from where I stand: it
should not include the patch series numbers, and it should not assume
there will be additional messages with different series numbers.

The Subject lines in a bug/issue discussion should describe the
bug/issue, not the patches sent to fix the issue.